Restore a task
POST/v1/tasks/{id}/restore
Restores a trashed task, bringing it back to active. Find trashed tasks via GET /v1/tasks?status=trashed.
Calling restore on a task that is not trashed is a no-op and returns the existing record.
Required scope: tasks:restore
Rate limit category: Write
Restore a task
curl https://api.lightfield.app/v1/tasks/$ID/restore \
-X POST \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}